Bug 683718 - [xorg-x11-server] xserver-abi(videodrv-9) >= 0: wrong X server ABI tag breaks update
Summary: [xorg-x11-server] xserver-abi(videodrv-9) >= 0: wrong X server ABI tag breaks...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 683761 684033 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 06:27 UTC by Joachim Frieben
Modified: 2018-04-11 08:52 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-drv-acecad-1.4.99-3.20101203gitf8e87eaf4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 21:16:47 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2011-03-10 06:27:53 UTC
Description of problem:
When updating to the latest builds from updates-testing (F15), the transaction aborts because of an incompatibility between xorg-x11-server-1.10.0-2.fc15 and the unaltered driver packages:

...
Error: Package: xorg-x11-drv-ati-6.14.0-2.20110204gita27b5dbd9.fc15.x86_64 (@fedora/$releasever)
           Requires: xserver-abi(videodrv-9) >= 0
           Removing: xorg-x11-server-Xorg-1.9.99.1-6.20101201.fc15.x86_64 (@fedora/$releasever)
               xserver-abi(videodrv-9) = 0
           Updated By: xorg-x11-server-Xorg-1.10.0-2.fc15.x86_64 (updates-testing)
               Not found
...
and so on for all other driver packages.

Version-Release number of selected component (if applicable):
xorg-x11-server-1.10.0-2.fc15

How reproducible:
Always.

Steps to Reproduce:
1. Run 'yum update' on a current F15 system.
  
Actual results:
Transaction aborts without updating the X server package.

Expected results:
Transaction succeeds including updating the X server package.

Additional info:
It looks as if the version number of the X server and/or the drivers does not take into account the jump from 1.9.x to 1.10.x correctly.
Trying to upgrade from a local copy fails, too.

Comment 1 Joachim Frieben 2011-03-10 13:42:31 UTC
Packages xorg-x11-server-*-1.10.0-2.fc15 install and work as expected together with the latest bunch of xorg-x11-drv-* packages from the Koji build system.

Comment 2 Matěj Cepl 2011-03-10 17:30:17 UTC
Fixed for me with intel driver with http://koji.fedoraproject.org/koji/buildinfo?buildID=232965

Comment 3 Matěj Cepl 2011-03-10 21:06:15 UTC
*** Bug 683761 has been marked as a duplicate of this bug. ***

Comment 4 Adam Jackson 2011-03-10 21:16:47 UTC
Fixed in tomorrow's repo.

Comment 5 Fedora Update System 2011-03-11 01:30:15 UTC
xorg-x11-drv-acecad-1.4.99-3.20101203gitf8e87eaf4.fc15, xorg-x11-drv-aiptek-1.3.99-3.20101203git95b891239.fc15, xorg-x11-drv-apm-1.2.3-6.fc15, xorg-x11-drv-ast-0.91.10-5.fc15, xorg-x11-drv-ati-6.14.0-5.20110204gita27b5dbd9.fc15, xorg-x11-drv-cirrus-1.3.2-7.fc15, xorg-x11-drv-dummy-0.3.4-5.fc15, xorg-x11-drv-elographics-1.2.99-3.20101206git6fd22a9d6.fc15, xorg-x11-drv-evdev-2.6.0-3.fc15, xorg-x11-drv-fbdev-0.4.1-8.fc15, xorg-x11-drv-fpit-1.3.99-3.20101206git020c04e29.fc15, xorg-x11-drv-glint-1.2.4-7.fc15, xorg-x11-drv-hyperpen-1.3.99.1-3.20101202git0a03c1fd0.fc15, xorg-x11-drv-i128-1.3.4-7.fc15, xorg-x11-drv-i740-1.3.2-7.fc15, xorg-x11-drv-intel-2.14.0-3.fc15, xorg-x11-drv-keyboard-1.5.99.901-2.fc15, xorg-x11-drv-mach64-6.8.2-7.fc15, xorg-x11-drv-mga-1.4.13-6.fc15, xorg-x11-drv-mouse-1.6.99.901-2.fc15, xorg-x11-drv-mutouch-1.2.99-4.20101206git24029451c.fc15, xorg-x11-drv-nouveau-0.0.16-23.20110303git92db2bc.fc15, xorg-x11-drv-nv-2.1.18-6.fc15, xorg-x11-drv-openchrome-0.2.904-13.fc15, xorg-x11-drv-penmount-1.4.99-3.20101203git6658e9ad2.fc15, xorg-x11-drv-qxl-0.0.21-2.fc15, xorg-x11-drv-r128-6.8.1-9.fc15, xorg-x11-drv-rendition-4.2.4-5.fc15, xorg-x11-drv-s3virge-1.10.4-7.fc15, xorg-x11-drv-savage-2.3.2-3.fc15, xorg-x11-drv-siliconmotion-1.7.3-8.20100122.fc15, xorg-x11-drv-sis-0.10.3-5.fc15, xorg-x11-drv-sisusb-0.9.4-5.fc15, xorg-x11-drv-synaptics-1.3.99.901-2.fc15, xorg-x11-drv-tdfx-1.4.3-7.fc15, xorg-x11-drv-trident-1.3.4-5.fc15, xorg-x11-drv-v4l-0.2.0-12.fc15, xorg-x11-drv-vesa-2.3.0-7.fc15, xorg-x11-drv-vmmouse-12.6.99.901-3.20101209git07232feb6.fc15, xorg-x11-drv-vmware-11.0.3-4.fc15, xorg-x11-drv-void-1.3.1-5.20101202gitcb8d19b8a.fc15, xorg-x11-drv-voodoo-1.2.4-5.fc15, xorg-x11-drv-wacom-0.10.10-4.20101122.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-drv-acecad-1.4.99-3.20101203gitf8e87eaf4.fc15,xorg-x11-drv-aiptek-1.3.99-3.20101203git95b891239.fc15,xorg-x11-drv-apm-1.2.3-6.fc15,xorg-x11-drv-ast-0.91.10-5.fc15,xorg-x11-drv-ati-6.14.0-5.20110204gita27b5dbd9.fc15,xorg-x11-drv-cirrus-1.3.2-7.fc15,xorg-x11-drv-dummy-0.3.4-5.fc15,xorg-x11-drv-elographics-1.2.99-3.20101206git6fd22a9d6.fc15,xorg-x11-drv-evdev-2.6.0-3.fc15,xorg-x11-drv-fbdev-0.4.1-8.fc15,xorg-x11-drv-fpit-1.3.99-3.20101206git020c04e29.fc15,xorg-x11-drv-glint-1.2.4-7.fc15,xorg-x11-drv-hyperpen-1.3.99.1-3.20101202git0a03c1fd0.fc15,xorg-x11-drv-i128-1.3.4-7.fc15,xorg-x11-drv-i740-1.3.2-7.fc15,xorg-x11-drv-intel-2.14.0-3.fc15,xorg-x11-drv-keyboard-1.5.99.901-2.fc15,xorg-x11-drv-mach64-6.8.2-7.fc15,xorg-x11-drv-mga-1.4.13-6.fc15,xorg-x11-drv-mouse-1.6.99.901-2.fc15,xorg-x11-drv-mutouch-1.2.99-4.20101206git24029451c.fc15,xorg-x11-drv-nouveau-0.0.16-23.20110303git92db2bc.fc15,xorg-x11-drv-nv-2.1.18-6.fc15,xorg-x11-drv-openchrome-0.2.904-13.fc15,xorg-x11-drv-penmount-1.4.99-3.20101203git6658e9ad2.fc15,xorg-x11-drv-qxl-0.0.21-2.fc15,xorg-x11-drv-r128-6.8.1-9.fc15,xorg-x11-drv-rendition-4.2.4-5.fc15,xorg-x11-drv-s3virge-1.10.4-7.fc15,xorg-x11-drv-savage-2.3.2-3.fc15,xorg-x11-drv-siliconmotion-1.7.3-8.20100122.fc15,xorg-x11-drv-sis-0.10.3-5.fc15,xorg-x11-drv-sisusb-0.9.4-5.fc15,xorg-x11-drv-synaptics-1.3.99.901-2.fc15,xorg-x11-drv-tdfx-1.4.3-7.fc15,xorg-x11-drv-trident-1.3.4-5.fc15,xorg-x11-drv-v4l-0.2.0-12.fc15,xorg-x11-drv-vesa-2.3.0-7.fc15,xorg-x11-drv-vmmouse-12.6.99.901-3.20101209git07232feb6.fc15,xorg-x11-drv-vmware-11.0.3-4.fc15,xorg-x11-drv-void-1.3.1-5.20101202gitcb8d19b8a.fc15,xorg-x11-drv-voodoo-1.2.4-5.fc15,xorg-x11-drv-wacom-0.10.10-4.20101122.fc15

Comment 6 Matěj Cepl 2011-03-11 10:16:58 UTC
*** Bug 684033 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2011-03-14 05:34:10 UTC
xorg-x11-drv-acecad-1.4.99-3.20101203gitf8e87eaf4.fc15, xorg-x11-drv-aiptek-1.3.99-3.20101203git95b891239.fc15, xorg-x11-drv-apm-1.2.3-6.fc15, xorg-x11-drv-ast-0.91.10-5.fc15, xorg-x11-drv-ati-6.14.0-5.20110204gita27b5dbd9.fc15, xorg-x11-drv-cirrus-1.3.2-7.fc15, xorg-x11-drv-dummy-0.3.4-5.fc15, xorg-x11-drv-elographics-1.2.99-3.20101206git6fd22a9d6.fc15, xorg-x11-drv-evdev-2.6.0-3.fc15, xorg-x11-drv-fbdev-0.4.1-8.fc15, xorg-x11-drv-fpit-1.3.99-3.20101206git020c04e29.fc15, xorg-x11-drv-glint-1.2.4-7.fc15, xorg-x11-drv-hyperpen-1.3.99.1-3.20101202git0a03c1fd0.fc15, xorg-x11-drv-i128-1.3.4-7.fc15, xorg-x11-drv-i740-1.3.2-7.fc15, xorg-x11-drv-intel-2.14.0-3.fc15, xorg-x11-drv-keyboard-1.5.99.901-2.fc15, xorg-x11-drv-mach64-6.8.2-7.fc15, xorg-x11-drv-mga-1.4.13-6.fc15, xorg-x11-drv-mouse-1.6.99.901-2.fc15, xorg-x11-drv-mutouch-1.2.99-4.20101206git24029451c.fc15, xorg-x11-drv-nouveau-0.0.16-23.20110303git92db2bc.fc15, xorg-x11-drv-nv-2.1.18-6.fc15, xorg-x11-drv-openchrome-0.2.904-13.fc15, xorg-x11-drv-penmount-1.4.99-3.20101203git6658e9ad2.fc15, xorg-x11-drv-qxl-0.0.21-2.fc15, xorg-x11-drv-r128-6.8.1-9.fc15, xorg-x11-drv-rendition-4.2.4-5.fc15, xorg-x11-drv-s3virge-1.10.4-7.fc15, xorg-x11-drv-savage-2.3.2-3.fc15, xorg-x11-drv-siliconmotion-1.7.3-8.20100122.fc15, xorg-x11-drv-sis-0.10.3-5.fc15, xorg-x11-drv-sisusb-0.9.4-5.fc15, xorg-x11-drv-synaptics-1.3.99.901-2.fc15, xorg-x11-drv-tdfx-1.4.3-7.fc15, xorg-x11-drv-trident-1.3.4-5.fc15, xorg-x11-drv-v4l-0.2.0-12.fc15, xorg-x11-drv-vesa-2.3.0-7.fc15, xorg-x11-drv-vmmouse-12.6.99.901-3.20101209git07232feb6.fc15, xorg-x11-drv-vmware-11.0.3-4.fc15, xorg-x11-drv-void-1.3.1-5.20101202gitcb8d19b8a.fc15, xorg-x11-drv-voodoo-1.2.4-5.fc15, xorg-x11-drv-wacom-0.10.10-4.20101122.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.